QGIS Application - Bug report #7444
Coordinate capture does not copy in the clipboard on Linux
2013-03-25 12:02 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16405
Description

Here the same, on Gnome3

Associated revisions

Revision 5569b0af - 2013-07-17 01:05 PM - Jiirgen Fischer

manually merge pull request #744 (fixes #7444)

History

#1 - 2013-03-25 03:51 PM - Larry Shaffer

Hi Paolo,

Works fine on Mac 10.7.5 and Win 7 with latest master.

However, | can confirm it does not copy to clipboard under Ubuntu 12.04 (default Unity window manager).

#2 - 2013-03-26 12:46 AM - Giovanni Manghi
- Status changed from Open to Feedback

works here on win7/master. Will test Mint/master.

#3 - 2013-03-26 04:53 AM - Paolo Cavallini
- Subject changed from Coordinate capture does not copy in the clipboard to Coordinate capture does not copy in the clipboard on Linux

#4 - 2013-03-26 05:32 AM - Giovanni Manghi
- Status changed from Feedback to Open

confirmed, does not work on linux.

#5 - 2013-07-16 04:43 PM - Daniel Vaz

I look at the code and when user click on the button "Start capture”, the source code checks for X11 presence, if we are on X11 you can access the
coordinate through middle button mouse.

If not (OSX and Windows) you can access via CTRL + V.

#6 - 2013-07-16 04:53 PM - Daniel Vaz

Fixed in https://github.com/qgis/Quantum-GIS/pull/744

Now the coordinate is available in middle mouse button and ctrl+v

#7 - 2013-07-17 04:05 AM - Jurgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"5569b0af0dd36a1060f148dff37ae9b2bcd3e507".
https://github.com/qgis/Quantum-GIS/pull/744

